<?xml version="1.0" encoding="utf-8"?>
<android.support.constraint.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/black"
    android:focusable="true"
    android:focusableInTouchMode="true">

    <android.support.v4.widget.NestedScrollView
        android:id="@+id/nestedScroolView"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <TextView
                android:id="@+id/labelView"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingBottom="@dimen/vertical_padding_middle"
                android:paddingLeft="@dimen/horizontal_padding_middle"
                android:paddingRight="@dimen/horizontal_padding_middle"
                android:paddingTop="@dimen/vertical_padding_middle"
                android:text="" />

            <include layout="@layout/view_divider_horizontal_gray" />

            <include
                android:id="@+id/codeView"
                layout="@layout/view_edit_text_component"
                app:layout_constraintTop_toTopOf="parent" />

        </LinearLayout>

    </android.support.v4.widget.NestedScrollView>

    <com.decenturion.mobile.ui.component.FloatView
        android:id="@+id/controlsView"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginBottom="@dimen/vertical_padding_middle"
        android:layout_marginEnd="@dimen/horizontal_padding_middle"
        android:layout_marginLeft="@dimen/horizontal_padding_middle"
        android:layout_marginRight="@dimen/horizontal_padding_middle"
        android:layout_marginStart="@dimen/horizontal_padding_middle"
        android:orientation="vertical"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent">

        <com.decenturion.mobile.app.localisation.view.LocalizedButtonView
            android:id="@+id/sendCodeButtonView"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginBottom="@dimen/vertical_padding_middle"
            android:layout_marginEnd="@dimen/horizontal_padding_middle"
            android:layout_marginLeft="@dimen/horizontal_padding_middle"
            android:layout_marginRight="@dimen/horizontal_padding_middle"
            android:layout_marginStart="@dimen/horizontal_padding_middle"
            android:background="@drawable/bg_fill_square_white"
            android:fontFamily="@font/ct_voxround_medium"
            android:minHeight="?attr/actionBarSize"
            android:text="отправить" />

    </com.decenturion.mobile.ui.component.FloatView>

</android.support.constraint.ConstraintLayout>